###############################################################################################################
# spring-cloud相关配置
server:
  port: 9971
eureka:
  client:                                   #客户端注册进eureka服务列表内
    service-url:
      defaultZone:                          http://frame:123456@develop.persagy.com/integrated-eureka/eureka/
#启用监控
management:
  endpoints:
    web:
      exposure:
        include:
          - "*"  # 开放所有端点health，info，metrics，通过actuator/+端点名就可以获取相应的信息。默认打开health和info
  endpoint:
    health:
      #未开启actuator/health时，我们获取到的信息是{"status":"UP"}，status的值还有可能是 DOWN。开启后打印详细信息
      show-details:                       always
###############################################################################################################

spring:
  servlet:
    multipart:
      enabled: true
      max-file-size: 10000MB
      max-request-size: 10000MB

  application:
    name:                               labsl
  mvc:
    favicon:
      enabled:                          true

  jmx:
    default-domain:                     labsl

  datasource:
    name: labsl
    type: com.alibaba.druid.pool.DruidDataSource
    driver-class-name: com.mysql.cj.jdbc.Driver
#    url: jdbc:mysql://rm-2ze20ntn5y9ljsx147o.mysql.rds.aliyuncs.com:3306/labsl?allowMultiQueries=true&serverTimezone=UTC&useUnicode=true&useSSL=false&characterEncoding=UTF-8
#    username: root
#    password: zVmW58LaAtjIKbb
    url:                                jdbc:mysql://192.168.100.91:9934/labsl?allowMultiQueries=true&serverTimezone=UTC&useUnicode=true&useSSL=false&characterEncoding=UTF-8
    username:                           root
    password:                           persagy@2021
#    dynamic:
#      datasource:
#        master:
#          password: ${spring.datasource.password}
#          username: ${spring.datasource.username}
#          driver-class-name: com.mysql.cj.jdbc.Driver
#          url: ${spring.datasource.url}
#        second:
#          password: ${spring.second-datasource.password}
#          username: ${spring.second-datasource.username}
#          driver-class-name: com.mysql.cj.jdbc.Driver
#          url: ${spring.second-datasource.url}
#      primary: master
#      strict: false

  second-datasource:
    name: labsl
    type: com.alibaba.druid.pool.DruidDataSource
    driver-class-name: com.mysql.cj.jdbc.Driver
#    url: jdbc:mysql://rm-2ze20ntn5y9ljsx147o.mysql.rds.aliyuncs.com:3306/qibaishi_gallery?allowMultiQueries=true&serverTimezone=UTC&useUnicode=true&useSSL=false&characterEncoding=UTF-8
#    username: root
#    password: zVmW58LaAtjIKbb
    url:                                jdbc:mysql://192.168.100.91:9934/qibaishi_gallery?allowMultiQueries=true&serverTimezone=UTC&useUnicode=true&useSSL=false&characterEncoding=UTF-8
    username:                           root
    password:                           persagy@2021

  jackson:
    date-format:                        yyyy-MM-dd HH:mm:ss
    time-zone:                          Asia/Shanghai
    default-property-inclusion:         non_null
    # 首字母大写
#    property-naming-strategy:           com.fasterxml.jackson.databind.PropertyNamingStrategy.PascalCaseStrategy
    # 以下划线分隔全小写的单词
    property-naming-strategy:           com.fasterxml.jackson.databind.PropertyNamingStrategy.LowerCaseWithUnderscoresStrategy
    mapper:
      # 属性按字母顺序输出
     sort_properties_alphabetically:   true
  main:
    allow-bean-definition-overriding: true

# spring-doc 配置
springdoc:
  # springdoc 扫描的包，多个包之间使用逗号分隔
  packagesToScan:                           com.persagy.labsl
  swagger-ui:
    # API 组排序方式：asc 升序，desc 降序
    groups-order:                           asc
    # 标识排序方式：alpha 按字母升序排列
    tags-sorter:                            alpha
    # API 接口排序方式：alpha 按字母升序排列，method 按方法的定义顺序。
    operations-sorter:                      alpha

mybatis:
  typeAliasesPackage:                   cn.sagacloud.server.datacenter.entities

#扫描mapper路径
mybatis-plus:
  mapper-locations: classpath:mapper/*.xml
  configuration:  #配置日志
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl    #日志实现类
    map-underscore-to-camel-case: true                       #驼峰转换
  type-aliases-package: com.persagy.labsl.domain              #实体类型别名


